#!/bin/sh

if [ ! -x /usr/bin/phytool ]; then
	echo "phytool not found under /usr/bin"
	exit
fi

echo "=======Vendor Specific Device Registers======="
value=`phytool read $1/0x16:0x1e/0x0000`
echo "GLOBAL_CONTROL_1=$value"
value=`phytool read $1/0x16:0x1e/0x0001`
echo "CHANNEL_CONTROL_1=$value"
value=`phytool read $1/0x16:0x1e/0x0002`
echo "HS_SERDES_CONTROL_1=$value"
value=`phytool read $1/0x16:0x1e/0x0003`
echo "HS_SERDES_CONTROL_2=$value"
value=`phytool read $1/0x16:0x1e/0x0004`
echo "HS_SERDES_CONTROL_3=$value"
value=`phytool read $1/0x16:0x1e/0x0005`
echo "HS_SERDES_CONTROL_4=$value"
value=`phytool read $1/0x16:0x1e/0x0006`
echo "LS_SERDES_CONTROL_1=$value"
value=`phytool read $1/0x16:0x1e/0x0007`
echo "LS_SERDES_CONTROL_2=$value"
value=`phytool read $1/0x16:0x1e/0x0008`
echo "LS_SERDES_CONTROL_3=$value"
value=`phytool read $1/0x16:0x1e/0x0009`
echo "HS_OVERLAY_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x000a`
echo "LS_OVERLAY_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x000b`
echo "LOOPBACK_TP_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x000c`
echo "LS_CONFIG_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x000d`
echo "CLK_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x000e`
echo "RESET_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x000f`
echo "CHANNEL_STATUS_1=$value"
value=`phytool read $1/0x16:0x1e/0x0010`
echo "HS_ERROR_COUNTER=$value"
value=`phytool read $1/0x16:0x1e/0x0011`
echo "LS_LN0_ERROR_COUNTER=$value"
value=`phytool read $1/0x16:0x1e/0x0012`
echo "LS_LN1_ERROR_COUNTER=$value"
value=`phytool read $1/0x16:0x1e/0x0013`
echo "LS_LN2_ERROR_COUNTER=$value"
value=`phytool read $1/0x16:0x1e/0x0014`
echo "LS_LN3_ERROR_COUNTER=$value"
value=`phytool read $1/0x16:0x1e/0x0015`
echo "LS_STATUS_1=$value"
value=`phytool read $1/0x16:0x1e/0x0016`
echo "HS_STATUS_1=$value"
value=`phytool read $1/0x16:0x1e/0x0017`
echo "DST_CONTROL_1=$value"
value=`phytool read $1/0x16:0x1e/0x0018`
echo "DST_CONTROL_2=$value"
value=`phytool read $1/0x16:0x1e/0x0019`
echo "DSR_CONTROL_1=$value"
value=`phytool read $1/0x16:0x1e/0x001a`
echo "DSR_CONTROL_2=$value"
value=`phytool read $1/0x16:0x1e/0x001b`
echo "DATA_SWITCH_STATUS=$value"
value=`phytool read $1/0x16:0x1e/0x001c`
echo "LS_CH_CONTROL_1=$value"
value=`phytool read $1/0x16:0x1e/0x001d`
echo "HS_CH_CONTROL_1=$value"
value=`phytool read $1/0x16:0x1e/0x001e`
echo "EXT_ADDRESS_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x001f`
echo "EXT_ADDRESS_DATA=$value"

value=`phytool read $1/0x16:0x1e/0x8003`
echo "VS_10G_LN_ALIGN_ACODE_P=$value"
value=`phytool read $1/0x16:0x1e/0x8004`
echo "VS_10G_LN_ALIGN_ACODE_N=$value"
value=`phytool read $1/0x16:0x1e/0x8021`
echo "MC_AUTO_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x802a`
echo "DST_ON_CHAR_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x802b`
echo "DST_OFF_CHAR_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x802c`
echo "DST_STUFF_CHAR_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x802d`
echo "DSR_ON_CHAR_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x802e`
echo "DSR_OFF_CHAR_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x802f`
echo "DSR_STUFF_CHAR_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x8040`
echo "LATENCY_MEASURE_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x8041`
echo "LATENCY_COUNTER_2=$value"
value=`phytool read $1/0x16:0x1e/0x8042`
echo "LATENCY_COUNTER_1=$value"
value=`phytool read $1/0x16:0x1e/0x8100`
echo "TRIGGER_LOAD_CONTROL=$value"
value=`phytool read $1/0x16:0x1e/0x8101`
echo "TRIGGER_EN_CONTROL=$value"
echo " "

echo "=======PMA/PMD Registers======="

value=`phytool read $1/0x16:0x01/0x0000`
echo "PMA_CONTROL_1=$value"
value=`phytool read $1/0x16:0x01/0x0001`
echo "PMA_STATUS_1=$value"
value=`phytool read $1/0x16:0x01/0x0002`
echo "PMA_DEV_IDENTIFIER_1=$value"
value=`phytool read $1/0x16:0x01/0x0003`
echo "PMA_DEV_IDENTIFIER_2=$value"
value=`phytool read $1/0x16:0x01/0x0004`
echo "PMA_SPEED_ABILITY=$value"
value=`phytool read $1/0x16:0x01/0x0005`
echo "PMA_DEV_PACKAGE_1=$value"
value=`phytool read $1/0x16:0x01/0x0006`
echo "PMA_DEV_PACKAGE_2=$value"
value=`phytool read $1/0x16:0x01/0x000a`
echo "PMA_RX_SIGNAL_DET_STATUS=$value"
value=`phytool read $1/0x16:0x01/0x000b`
echo "PMA_EXTENDED_ABILITY=$value"

value=`phytool read $1/0x16:0x01/0x0096`
echo "LT_TRAIN_CONTROL=$value"
value=`phytool read $1/0x16:0x01/0x0097`
echo "LT_TRAIN_STATUS=$value"
value=`phytool read $1/0x16:0x01/0x0098`
echo "LT_LINK_PARTNER_CONTROL=$value"
value=`phytool read $1/0x16:0x01/0x0099`
echo "LT_LINK_PARTNER_STATUS=$value"
value=`phytool read $1/0x16:0x01/0x009a`
echo "LT_LOCAL_DEVICE_CONTROL=$value"
value=`phytool read $1/0x16:0x01/0x009b`
echo "LT_LOCAL_DEVICE_STATUS=$value"

value=`phytool read $1/0x16:0x01/0x00a1`
echo "KX_STATUS=$value"
value=`phytool read $1/0x16:0x01/0x00aa`
echo "KR_FEC_ABILITY=$value"
value=`phytool read $1/0x16:0x01/0x00ab`
echo "KR_FEC_CONTROL=$value"
value=`phytool read $1/0x16:0x01/0x00ac`
echo "KR_FEC_C_COUNT_1=$value"
value=`phytool read $1/0x16:0x01/0x00ad`
echo "KR_FEC_C_COUNT_2=$value"
value=`phytool read $1/0x16:0x01/0x00ae`
echo "KR_FEC_UC_COUNT_1=$value"
value=`phytool read $1/0x16:0x01/0x00af`
echo "KR_FEC_UC_COUNT_2=$value"
value=`phytool read $1/0x16:0x01/0x8001`
echo "KR_VS_FIFO_CONTROL_1=$value"
value=`phytool read $1/0x16:0x01/0x8002`
echo "KR_VS_TP_GEN_CONTROL=$value"
value=`phytool read $1/0x16:0x01/0x8003`
echo "KR_VS_TP_VER_CONTROL=$value"
value=`phytool read $1/0x16:0x01/0x8005`
echo "KR_VS_CTC_ERR_CODE_LN0=$value"
value=`phytool read $1/0x16:0x01/0x8006`
echo "KR_VS_CTC_ERR_CODE_LN1=$value"
value=`phytool read $1/0x16:0x01/0x8007`
echo "KR_VS_CTC_ERR_CODE_LN2=$value"
value=`phytool read $1/0x16:0x01/0x8008`
echo "KR_VS_CTC_ERR_CODE_LN3=$value"
value=`phytool read $1/0x16:0x01/0x8010`
echo "KR_VS_LN0_EOP_ERROR_COUNTER=$value"
value=`phytool read $1/0x16:0x01/0x8011`
echo "KR_VS_LN1_EOP_ERROR_COUNTER=$value"
value=`phytool read $1/0x16:0x01/0x8012`
echo "KR_VS_LN2_EOP_ERROR_COUNTER=$value"
value=`phytool read $1/0x16:0x01/0x8013`
echo "KR_VS_LN3_EOP_ERROR_COUNTER=$value"
value=`phytool read $1/0x16:0x01/0x8014`
echo "KR_VS_TX_CTC_DROP_COUNT=$value"
value=`phytool read $1/0x16:0x01/0x8015`
echo "KR_VS_TX_CTC_INSERT_COUNT=$value"
value=`phytool read $1/0x16:0x01/0x8016`
echo "KR_VS_RX_CTC_DROP_COUNT=$value"
value=`phytool read $1/0x16:0x01/0x8017`
echo "KR_VS_RX_CTC_INSERT_COUNT=$value"
value=`phytool read $1/0x16:0x01/0x8018`
echo "KR_VS_STATUS_1=$value"
value=`phytool read $1/0x16:0x01/0x8019`
echo "KR_VS_TX_CRCJ_ERR_COUNT_1=$value"
value=`phytool read $1/0x16:0x01/0x801a`
echo "KR_VS_TX_CRCJ_ERR_COUNT_2=$value"
value=`phytool read $1/0x16:0x01/0x801b`
echo "KR_VS_TX_LN0_HLM_ERR_COUNT=$value"
value=`phytool read $1/0x16:0x01/0x801c`
echo "KR_VS_TX_LN1_HLM_ERR_COUNT=$value"
value=`phytool read $1/0x16:0x01/0x801d`
echo "KR_VS_TX_LN2_HLM_ERR_COUNT=$value"
value=`phytool read $1/0x16:0x01/0x801e`
echo "KR_VS_TX_LN3_HLM_ERR_COUNT=$value"
value=`phytool read $1/0x16:0x01/0x9001`
echo "LT_VS_CONTROL_2=$value"
echo " "

echo "=======PCS Registers======="

value=`phytool read $1/0x16:0x03/0x0000`
echo "PCS_CONTROL=$value"
value=`phytool read $1/0x16:0x03/0x0001`
echo "PCS_STATUS_1=$value"
value=`phytool read $1/0x16:0x03/0x0008`
echo "PCS_STATUS_2=$value"
value=`phytool read $1/0x16:0x03/0x0020`
echo "KR_PCS_STATUS_1=$value"
value=`phytool read $1/0x16:0x03/0x0021`
echo "KR_PCS_STATUS_2=$value"
value=`phytool read $1/0x16:0x03/0x0022`
echo "PCS_TP_SEED_A0=$value"
value=`phytool read $1/0x16:0x03/0x0023`
echo "PCS_TP_SEED_A1=$value"
value=`phytool read $1/0x16:0x03/0x0024`
echo "PCS_TP_SEED_A2=$value"
value=`phytool read $1/0x16:0x03/0x0025`
echo "PCS_TP_SEED_A3=$value"
value=`phytool read $1/0x16:0x03/0x0026`
echo "PCS_TP_SEED_B0=$value"
value=`phytool read $1/0x16:0x03/0x0027`
echo "PCS_TP_SEED_B1=$value"
value=`phytool read $1/0x16:0x03/0x0028`
echo "PCS_TP_SEED_B2=$value"
value=`phytool read $1/0x16:0x03/0x0029`
echo "PCS_TP_SEED_B3=$value"
value=`phytool read $1/0x16:0x03/0x002a`
echo "PCS_TP_CONTROL=$value"
value=`phytool read $1/0x16:0x03/0x002b`
echo "PCS_TP_ERR_COUNT=$value"
value=`phytool read $1/0x16:0x03/0x8000`
echo "PCS_VS_CONTROL=$value"
value=`phytool read $1/0x16:0x03/0x8010`
echo "PCS_VS_STATUS=$value"
echo " "


echo "=======Auto-Negotiation Registers======="
value=`phytool read $1/0x16:0x07/0x0000`
echo "AN_CONTROL=$value"
value=`phytool read $1/0x16:0x07/0x0001`
echo "AN_STATUS=$value"
value=`phytool read $1/0x16:0x07/0x0005`
echo "AN_DEV_PACKAGE=$value"
value=`phytool read $1/0x16:0x07/0x0010`
echo "AN_ADVERTISEMENT_1=$value"
value=`phytool read $1/0x16:0x07/0x0011`
echo "AN_ADVERTISEMENT_2=$value"
value=`phytool read $1/0x16:0x07/0x0012`
echo "AN_ADVERTISEMENT_3=$value"
value=`phytool read $1/0x16:0x07/0x0013`
echo "AN_LP_ADVERTISEMENT_1=$value"
value=`phytool read $1/0x16:0x07/0x0014`
echo "AN_LP_ADVERTISEMENT_2=$value"
value=`phytool read $1/0x16:0x07/0x0015`
echo "AN_LP_ADVERTISEMENT_3=$value"
value=`phytool read $1/0x16:0x07/0x0016`
echo "AN_XNP_TRANSMIT_1=$value"
value=`phytool read $1/0x16:0x07/0x0017`
echo "AN_XNP_TRANSMIT_2=$value"
value=`phytool read $1/0x16:0x07/0x0018`
echo "AN_XNP_TRANSMIT_3=$value"
value=`phytool read $1/0x16:0x07/0x0019`
echo "AN_LP_XNP_ABILITY_1=$value"
value=`phytool read $1/0x16:0x07/0x001a`
echo "AN_LP_XNP_ABILITY_2=$value"
value=`phytool read $1/0x16:0x07/0x001b`
echo "AN_LP_XNP_ABILITY_3=$value"
value=`phytool read $1/0x16:0x07/0x0030`
echo "AN_BP_STATUS=$value"
echo " "

echo "=======TI_Reserved Control and Status Registers======="
value=`phytool read $1/0x16:0x1e/0x8000`
echo "TI_RESERVED_CONTROL 1E.8000=$value"
value=`phytool read $1/0x16:0x1e/0x8001`
echo "TI_RESERVED_CONTROL 1E.8001=$value"
value=`phytool read $1/0x16:0x1e/0x8002`
echo "TI_RESERVED_CONTROL 1E.8002=$value"
value=`phytool read $1/0x16:0x1e/0x8005`
echo "TI_RESERVED_CONTROL 1E.8005=$value"
value=`phytool read $1/0x16:0x1e/0x8006`
echo "TI_RESERVED_CONTROL 1E.8006=$value"
value=`phytool read $1/0x16:0x1e/0x8007`
echo "TI_RESERVED_CONTROL 1E.8007=$value"
value=`phytool read $1/0x16:0x1e/0x8008`
echo "TI_RESERVED_CONTROL 1E.8008=$value"
value=`phytool read $1/0x16:0x1e/0x8009`
echo "TI_RESERVED_CONTROL 1E.8009=$value"
value=`phytool read $1/0x16:0x1e/0x800a`
echo "TI_RESERVED_CONTROL 1E.800a=$value"
value=`phytool read $1/0x16:0x1e/0x800b`
echo "TI_RESERVED_CONTROL 1E.800b=$value"
value=`phytool read $1/0x16:0x1e/0x800c`
echo "TI_RESERVED_CONTROL 1E.800c=$value"
value=`phytool read $1/0x16:0x1e/0x800d`
echo "TI_RESERVED_CONTROL 1E.800d=$value"
value=`phytool read $1/0x16:0x1e/0x800e`
echo "TI_RESERVED_CONTROL 1E.800e=$value"
value=`phytool read $1/0x16:0x1e/0x800f`
echo "TI_RESERVED_CONTROL 1E.800f=$value"
value=`phytool read $1/0x16:0x1e/0x8011`
echo "TI_RESERVED_CONTROL 1E.8011=$value"
value=`phytool read $1/0x16:0x1e/0x8012`
echo "TI_RESERVED_STATUS 1E.8012=$value"
value=`phytool read $1/0x16:0x1e/0x8013`
echo "TI_RESERVED_STATUS 1E.8013=$value"
value=`phytool read $1/0x16:0x1e/0x8014`
echo "TI_RESERVED_STATUS 1E.8014=$value"
value=`phytool read $1/0x16:0x1e/0x8015`
echo "TI_RESERVED_STATUS 1E.8015=$value"
value=`phytool read $1/0x16:0x1e/0x8019`
echo "TI_RESERVED_CONTROL 1E.8019=$value"
value=`phytool read $1/0x16:0x1e/0x801a`
echo "TI_RESERVED_CONTROL 1E.801a=$value"
value=`phytool read $1/0x16:0x1e/0x801c`
echo "TI_RESERVED_CONTROL 1E.801c=$value"
value=`phytool read $1/0x16:0x1e/0x801d`
echo "TI_RESERVED_CONTROL 1E.801d=$value"
value=`phytool read $1/0x16:0x1e/0x801e`
echo "TI_RESERVED_CONTROL 1E.801e=$value"
value=`phytool read $1/0x16:0x1e/0x801f`
echo "TI_RESERVED_CONTROL 1E.801f=$value"
value=`phytool read $1/0x16:0x1e/0x8020`
echo "TI_RESERVED_CONTROL 1E.8020=$value"
value=`phytool read $1/0x16:0x1e/0x8022`
echo "TI_RESERVED_CONTROL 1E.8022=$value"
value=`phytool read $1/0x16:0x1e/0x8023`
echo "TI_RESERVED_CONTROL 1E.8023=$value"
value=`phytool read $1/0x16:0x1e/0x8024`
echo "TI_RESERVED_CONTROL 1E.8024=$value"
value=`phytool read $1/0x16:0x1e/0x8025`
echo "TI_RESERVED_CONTROL 1E.8025=$value"
value=`phytool read $1/0x16:0x1e/0x8030`
echo "TI_RESERVED_STATUS 1E.8030=$value"
value=`phytool read $1/0x16:0x1e/0x8031`
echo "TI_RESERVED_STATUS 1E.8031=$value"
value=`phytool read $1/0x16:0x1e/0x8032`
echo "TI_RESERVED_STATUS 1E.8032=$value"
value=`phytool read $1/0x16:0x1e/0x8033`
echo "TI_RESERVED_STATUS 1E.8033=$value"
value=`phytool read $1/0x16:0x1e/0x8034`
echo "TI_RESERVED_STATUS 1E.8034=$value"
value=`phytool read $1/0x16:0x1e/0x8035`
echo "TI_RESERVED_STATUS 1E.8035=$value"
value=`phytool read $1/0x16:0x1e/0x8050`
echo "TI_RESERVED_CONTROL 1E.8050=$value"
value=`phytool read $1/0x16:0x1e/0x8102`
echo "TI_RESERVED_CONTROL 1E.8102=$value"
value=`phytool read $1/0x16:0x1e/0xa000`
echo "TI_RESERVED_CONTROL 1E.a000=$value"
value=`phytool read $1/0x16:0x1e/0xa010`
echo "TI_RESERVED_STATUS 1E.a010=$value"
value=`phytool read $1/0x16:0x1e/0xa011`
echo "TI_RESERVED_STATUS 1E.a011=$value"
value=`phytool read $1/0x16:0x1e/0xa012`
echo "TI_RESERVED_STATUS 1E.a012=$value"
value=`phytool read $1/0x16:0x1e/0xa013`
echo "TI_RESERVED_STATUS 1E.a013=$value"
value=`phytool read $1/0x16:0x1e/0xa014`
echo "TI_RESERVED_STATUS 1E.a014=$value"
value=`phytool read $1/0x16:0x1e/0xa015`
echo "TI_RESERVED_STATUS 1E.a015=$value"
value=`phytool read $1/0x16:0x1e/0xa016`
echo "TI_RESERVED_STATUS 1E.a016=$value"
value=`phytool read $1/0x16:0x1e/0xa017`
echo "TI_RESERVED_STATUS 1E.a017=$value"
value=`phytool read $1/0x16:0x1e/0xa018`
echo "TI_RESERVED_STATUS 1E.a018=$value"
value=`phytool read $1/0x16:0x1e/0xa116`
echo "TI_RESERVED_CONTROL 1E.a116=$value"
value=`phytool read $1/0x16:0x1e/0xa117`
echo "TI_RESERVED_CONTROL 1E.a117=$value"
value=`phytool read $1/0x16:0x1e/0xa118`
echo "TI_RESERVED_STATUS 1E.a118=$value"
value=`phytool read $1/0x16:0x1e/0xa119`
echo "TI_RESERVED_STATUS 1E.a119=$value"

value=`phytool read $1/0x16:0x01/0x8000`
echo "TI_RESERVED_CONTROL 01.8000=$value"
value=`phytool read $1/0x16:0x01/0x801f`
echo "TI_RESERVED_STATUS 01.801f=$value"
value=`phytool read $1/0x16:0x01/0x8020`
echo "TI_RESERVED_STATUS 01.8020=$value"
value=`phytool read $1/0x16:0x01/0x8021`
echo "TI_RESERVED_STATUS 01.8021=$value"
value=`phytool read $1/0x16:0x01/0x8022`
echo "TI_RESERVED_STATUS 01.8022=$value"
value=`phytool read $1/0x16:0x01/0x8023`
echo "TI_RESERVED_STATUS 01.8023=$value"
value=`phytool read $1/0x16:0x01/0x8024`
echo "TI_RESERVED_STATUS 01.8024=$value"
value=`phytool read $1/0x16:0x01/0x9000`
echo "TI_RESERVED_CONTROL 01.9000=$value"
value=`phytool read $1/0x16:0x01/0x9002`
echo "TI_RESERVED_CONTROL 01.9002=$value"
value=`phytool read $1/0x16:0x01/0x9003`
echo "TI_RESERVED_CONTROL 01.9003=$value"
value=`phytool read $1/0x16:0x01/0x9004`
echo "TI_RESERVED_CONTROL 01.9004=$value"
value=`phytool read $1/0x16:0x01/0x9005`
echo "TI_RESERVED_CONTROL 01.9005=$value"
value=`phytool read $1/0x16:0x01/0x9006`
echo "TI_RESERVED_CONTROL 01.9006=$value"
value=`phytool read $1/0x16:0x01/0x9007`
echo "TI_RESERVED_CONTROL 01.9007=$value"
value=`phytool read $1/0x16:0x01/0x9008`
echo "TI_RESERVED_CONTROL 01.9008=$value"
value=`phytool read $1/0x16:0x01/0x9009`
echo "TI_RESERVED_CONTROL 01.9009=$value"
value=`phytool read $1/0x16:0x01/0x900a`
echo "TI_RESERVED_CONTROL 01.900a=$value"
value=`phytool read $1/0x16:0x01/0x900b`
echo "TI_RESERVED_CONTROL 01.900b=$value"
value=`phytool read $1/0x16:0x01/0x900c`
echo "TI_RESERVED_CONTROL 01.900c=$value"
value=`phytool read $1/0x16:0x01/0x900d`
echo "TI_RESERVED_CONTROL 01.900d=$value"
value=`phytool read $1/0x16:0x01/0x900e`
echo "TI_RESERVED_CONTROL 01.900e=$value"
value=`phytool read $1/0x16:0x01/0x900f`
echo "TI_RESERVED_CONTROL 01.900f=$value"
value=`phytool read $1/0x16:0x01/0x9010`
echo "TI_RESERVED_CONTROL 01.9010=$value"
value=`phytool read $1/0x16:0x01/0x9011`
echo "TI_RESERVED_CONTROL 01.9011=$value"
value=`phytool read $1/0x16:0x01/0x9020`
echo "TI_RESERVED_STATUS 01.9020=$value"
value=`phytool read $1/0x16:0x01/0x9021`
echo "TI_RESERVED_STATUS 01.9021=$value"
value=`phytool read $1/0x16:0x01/0x9022`
echo "TI_RESERVED_STATUS 01.9022=$value"
value=`phytool read $1/0x16:0x01/0x9023`
echo "TI_RESERVED_STATUS 01.9023=$value"
value=`phytool read $1/0x16:0x01/0x9024`
echo "TI_RESERVED_STATUS 01.9024=$value"
value=`phytool read $1/0x16:0x01/0x9025`
echo "TI_RESERVED_STATUS 01.9025=$value"
value=`phytool read $1/0x16:0x01/0x9026`
echo "TI_RESERVED_STATUS 01.9026=$value"
value=`phytool read $1/0x16:0x01/0x9027`
echo "TI_RESERVED_STATUS 01.9027=$value"
value=`phytool read $1/0x16:0x01/0x9028`
echo "TI_RESERVED_STATUS 01.9028=$value"
value=`phytool read $1/0x16:0x01/0x9029`
echo "TI_RESERVED_STATUS 01.9029=$value"

